<!-- <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm"> -->
    <p-tabView [activeIndex]="index">
        <p-tabPanel header="Personal Info">
            <div class="form-group">
                <label class="form-control-label mandatory" jhiTranslate="mpmApp.person.firstName" for="field_firstName">First Name</label>
                <input type="text" class="form-control" name="firstName" id="field_firstName" [(ngModel)]="person.firstName" [readonly]="readonly" />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.person.lastName" for="field_lastName">Last Name</label>
                <input type="text" class="form-control" name="lastName" id="field_lastName" [(ngModel)]="person.lastName" [readonly]="readonly" />
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.person.pob" for="field_pob">Pob</label>
                        <input type="text" class="form-control" name="pob" id="field_pob" [(ngModel)]="person.pob" [readonly]="readonly" />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.person.dob" for="field_dob">Dob</label>
                        <div class="input-group">
                            <p-calendar 
                                inputId="field_dob" name="input_dob" 
                                [(ngModel)]="person.dob" 
                                dateFormat="dd-mm-yy"
                                [utc]="true" 
                                [showIcon]="!readonly" 
                                [monthNavigator]="true" [yearNavigator]="true" yearRange="{{yearForCalendar}}"
                                [disabled]="readonly"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.person.bloodType" for="field_bloodType">Blood Type</label>
                        <select class="form-control" id="field_bloodType" name="bloodType" [(ngModel)]="person.bloodType" [disabled]="readonly">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="bloodTypeOption.value" *ngFor="let bloodTypeOption of bloodTypes">{{bloodTypeOption.value}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.person.gender" for="field_gender">Gender</label>
                        <select class="form-control" id="field_gender" name="gender" [(ngModel)]="person.gender" [disabled]="readonly">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="gender.value" *ngFor="let gender of genders">{{gender.label}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.person.religionType" for="field_religionType">Religion Type</label>
                        <select class="form-control" id="field_religionType" name="religionType" [(ngModel)]="person.religionTypeId" [disabled]="readonly">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="religionTypeOption.idReligionType" *ngFor="let religionTypeOption of religiontypes; trackBy: trackReligionTypeById">{{religionTypeOption.description}}</option>
                        </select>
                    </div>
                </div>
            </div>
    
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <label class="form-control-label mandatory" jhiTranslate="mpmApp.person.personalIdNumber" for="field_personalIdNumber">Personal Id Number</label>
                        <input type="text" class="form-control" name="personalIdNumber" id="field_personalIdNumber" [(ngModel)]="person.personalIdNumber" [readonly]="true" jhiNumbers/>
                    </div>
                    <div class="form-group" [hidden]="viewHiddenField === 1">
                        <label class="form-control-label mandatory" jhiTranslate="mpmApp.person.familyIdNumber" for="field_familyIdNumber">Family Id Number</label>
                        <input type="text" class="form-control" name="familyIdNumber" id="field_familyIdNumber" [(ngModel)]="person.familyIdNumber" [readonly]="readonly" jhiNumbers/>
                    </div>
    
                </div>
                <div class="col-sm-6" [hidden]="viewHiddenField === 1">
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.person.workType" for="field_workType">Work Type</label>
                        <select class="form-control" id="field_workType" name="workType" [(ngModel)]="person.workTypeId" [disabled]="readonly">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="workTypeOption.idWorkType" *ngFor="let workTypeOption of worktypes; trackBy: trackWorkTypeById">{{workTypeOption.description}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.person.taxIdNumber" for="field_taxNumber">Tax Number</label>
                        <input type="text" class="form-control" name="taxNumber" id="field_taxNumber" [(ngModel)]="person.taxIdNumber" [readonly]="readonly" jhiNumbers/>
                    </div>
                </div>
            </div>
        </p-tabPanel>
        <p-tabPanel header="Telecomunication Number">
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.person.phone" for="field_phone">cell Phone 1</label>
                <input type="text" class="form-control"  name="phone" id="field_phone" [(ngModel)]="person.phone" [readonly]="true" jhiNumbers/>
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.person.cellPhone1" for="field_cellPhone1">cell Phone 1</label>
                <input type="text" class="form-control" maxlength="13" name="cellPhone1" id="field_cellPhone1" [(ngModel)]="person.cellPhone1" [readonly]="true" jhiNumbers/>
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.person.cellPhone2" for="field_cellPhone2">cell Phone 2</label>
                <input type="text" class="form-control" name="cellPhone2" id="field_cellPhone2" [(ngModel)]="person.cellPhone2" [readonly]="true" jhiNumbers/>
            </div>
        </p-tabPanel>
        <p-tabPanel header="Electronic Address">
            <div class="form-group">
                <label class="form-control-label mandatory" jhiTranslate="mpmApp.person.privateMail" for="field_privateMail">private Mail</label>
                <input type="email" class="form-control" name="privateMail" id="field_privateMail" [(ngModel)]="person.privateMail" [readonly]="readonly" />
            </div>
        </p-tabPanel>
        <p-tabPanel header="Postal Address">
            <div class="form-group">
                <label class="form-control-label mandatory" jhiTranslate="mpmApp.person.address1" for="field_address1">address 1</label>
                <input type="text" class="form-control" name="address1" id="field_address1" [(ngModel)]="person.postalAddress.address1" [readonly]="readonly" />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.person.address2" for="field_address1">address 2</label>
                <input type="text" class="form-control" name="address2" id="field_address2" [(ngModel)]="person.postalAddress.address2" [readonly]="readonly" />
            </div>
            <div class="form-group">
                <label class="form-control-label mandatory" jhiTranslate="mpmApp.person.province" for="field_province">province</label>
                <jhi-province-view [readonly]="readonly" [province]="person.postalAddress.provinceId" on-select="getProvince($event)"></jhi-province-view>
            </div>
            <div class="form-group">
                <label class="form-control-label mandatory" jhiTranslate="mpmApp.person.city" for="field_city">city</label>
                <jhi-city-view [readonly]="readonly" [city]="person.postalAddress.cityId" [province]="this.person.postalAddress.provinceId" on-select="getCity($event)"></jhi-city-view>
            </div>
            <div class="form-group">
                <label class="form-control-label mandatory" jhiTranslate="mpmApp.person.district" for="field_district">district</label>
                <jhi-district-view [readonly]="readonly" [district]="person.postalAddress.districtId" [city]="person.postalAddress.cityId" on-select="getDistrict($event)"></jhi-district-view>
            </div>
            <div class="form-group">
                <label class="form-control-label mandatory" jhiTranslate="mpmApp.person.village" for="field_village">village</label>
                <jhi-village-view [readonly]="readonly" [village]="person.postalAddress.villageId" [district]="person.postalAddress.districtId" on-select="getVillage($event)"></jhi-village-view>
            </div>
        </p-tabPanel>
    </p-tabView>
    <!-- <div class="modal-footer"> -->
        <!-- <button type="button" 
                [disabled]="editForm.form.invalid || isSaving" 
                class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button> -->
        <button pButton type="button" (click)="save()"
                label="{{'entity.action.save' | translate}}"
                icon="fa fa-save">
        </button>
    <!-- </div> -->
    <ng-content>
    </ng-content>
    <!-- </form> -->